Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc.spi
Class MUCServiceProperties

    java.lang.Object
      org.jivesoftware.openfire.muc.spi.MUCServiceProperties

All Implemented Interfaces:
  Map<String,String>

    public class MUCServiceProperties

extends Object
implements Map<String,String>

Retrieves and stores MUC service properties. Properties are stored in the database.

Author:
  Daniel Henninger

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`MUCServiceProperties(String subdomain)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object value)`
`Set<Map.Entry<String,String>>` | `entrySet()`
`String` | `get(Object key)`
`boolean` | `getBooleanProperty(String name)`
`boolean` | `getBooleanProperty(String name, boolean defaultValue)`
`Collection<String>` | `getChildrenNames(String parentKey)` Return all children property names of a parent property as a Collection of String objects.
`String` | `getProperty(String name, String defaultValue)`
`Collection<String>` | `getPropertyNames()` Returns all property names as a Collection of String values.
`boolean` | `isEmpty()`
`Set<String>` | `keySet()`
`String` | `put(String key, String value)`
`void` | `putAll(Map<? extends String,? extends String> t)`
`String` | `remove(Object key)`
`int` | `size()`
`Collection<String>` | `values()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### MUCServiceProperties

    public MUCServiceProperties(String subdomain)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `Map<String,String>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map<String,String>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map<String,String>`

### containsKey

    public boolean containsKey(Object key)

  Specified by:
    `containsKey` in interface `Map<String,String>`

### containsValue

    public boolean containsValue(Object value)

  Specified by:
    `containsValue` in interface `Map<String,String>`

### values

    public Collection<String> values()

  Specified by:
    `values` in interface `Map<String,String>`

### putAll

    public void putAll(Map<? extends String,? extends String> t)

  Specified by:
    `putAll` in interface `Map<String,String>`

### entrySet

    public Set<Map.Entry<String,String>> entrySet()

  Specified by:
    `entrySet` in interface `Map<String,String>`

### keySet

    public Set<String> keySet()

  Specified by:
    `keySet` in interface `Map<String,String>`

### get

    public String get(Object key)

  Specified by:
    `get` in interface `Map<String,String>`

### getChildrenNames

    public Collection<String> getChildrenNames(String parentKey)

  Return all children property names of a parent property as a Collection of String objects. For example, given the properties `X.Y.A`, `X.Y.B`, and `X.Y.C`, then the child properties of `X.Y` are `X.Y.A`, `X.Y.B`, and `X.Y.C`. The method is not recursive; ie, it does not return children of children.

  Parameters:
    `parentKey` - the name of the parent property.
  Returns:
    all child property names for the given parent.

### getPropertyNames

    public Collection<String> getPropertyNames()

  Returns all property names as a Collection of String values.

  Returns:
    all property names.

### remove

    public String remove(Object key)

  Specified by:
    `remove` in interface `Map<String,String>`

### put

    public String put(String key,
                      String value)

  Specified by:
    `put` in interface `Map<String,String>`

### getProperty

    public String getProperty(String name,
                              String defaultValue)

### getBooleanProperty

    public boolean getBooleanProperty(String name)

### getBooleanProperty

    public boolean getBooleanProperty(String name,
                                      boolean defaultValue)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.